# Hamburger Audio Plugin
If you are a musician who wants to use this plugin, please download the binaries from [my store page](https://ko-fi.com/s/6e7ded34dc).

Hamburger is a distortion plugin with inbuilt dynamics controls and equalisation that can deliver both subtle tangy harmonics and absolute annihilation and noise-wall-ification to any sound. 

If you need control over your distortion tone, you can carve and refine your sound resulting in extremely unique timbres. Compress and shape the dynamics of your sound before distorting to make your synths and instruments punchy and juicy. You can provide subtle flare, texture and grit to a sound that didn't have one. You can also hit the pedal to the metal, go crazy with the knobs and enter sonic territories that other distortion plugins would be TERRIFIED to enter. 

<p align="center">
<img width="800" alt="image" src="https://github.com/Davit-G/Hamburger/assets/36148073/109b3864-3230-418a-998b-2a6acf595fbe">
</p>

# Download

Hamburger is supported for Windows, Linux and both Native Silicon and Intel MacOS devices, in VST3 / CLAP / AU formats.

Store page (Download free builds)
- https://ko-fi.com/s/6e7ded34dc

Main page
- https://aviaryaudio.com/plugins/hamburgerv2

## Audio demos

[Check out audio demos here](https://soundcloud.com/davz-razorblades/hamburger-guitar-demo-dry-wet). More audio demos coming soon

# Overview

- Several distortion modules:
    - Grill Saturation (with wavefolding, diode clipping and adjustable bias for asymmetric saturation)
    - Tube Emulation (my take on Class A tube emulation, with extra parameters such as Jeff (?) and controllable bias)
    - Phase Distortion (for watery slick tones, adds interesting harmonics in a controllable way)
    - Rubidium Distortion (dynamic and delicious module that extends the laws of physics of a transformer saturation model)
    - Matrix Distortion (an entirely random assortment of waveshaping functions for your pleasure)
    - Clipper at the end of the chain to help with controlling unnecessary peaks, and for your own safety :D

- Pre-filtering effects
    - Smooth and responsive allpass chain to add phase shifting to signal
    - Grunge (resonant filtering). Good on guitars, makes the distortion more grimey.

- Adjust dynamics before distorting:
    - Stereo Compressor (with adjustable stereo link to create a dual mono compressor)
    - Multiband (with optional upwards/downwards compression) 
    - Mid/Side Compressor

- Add grit and noise to the signal with:
    - Sizzle (white noise)
    - Digital Erosion
    - Downsampling and Bit Reduction
    - Gated Noise
    - Fizz (?)

- 3 Band Emphasis EQ to tone and shape the signal before and after distortion

## Building
Instructions for compiling Hamburger yourself will be provided shortly
